Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVectorText Class Reference

`#include <vtkVectorText.h>`

Inheritance diagram for vtkVectorText:

[legend]
Collaboration diagram for vtkVectorText:

[legend]
List of all members.

## Detailed Description

create polygonal text

Date:
  2002/01/22 15:30:43

Revision:
  1.31

vtkVectorText generates vtkPolyData from an input text string. Besides the ASCII alphanumeric characters a-z, A-Z, 0-9, vtkVectorText also supports ASCII punctuation marks. (The supported ASCII character set are the codes (33-126) inclusive.) The only control character supported is the line feed character "
", which advances to a new line.

To use thie class, you normally couple it with a vtkPolyDataMapper and a vtkActor. In this case you would use the vtkActor's transformation methods to position, orient, and scale the text. You may also wish to use a vtkFollower to orient the text so that it always faces the camera.

See also:
  vtkTextMapper vtkCaptionActor2D

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (99%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkVectorText.h)`
  - .`cxx` (`/Hybrid/vtkVectorText.cxx)`

Examples:
  vtkVectorText (Examples)

Tests:
  vtkVectorText (Tests)

Definition at line 59 of file vtkVectorText.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetText (const char *)
virtual char * | GetText ()
## Static Public Methods
vtkVectorText * | New ()
int | IsTypeOf (const char *type)
vtkVectorText * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVectorText ()
| ~vtkVectorText ()
void | Execute ()
## Protected Attributes
char * | Text
char * | Letters [127]

## Member Typedef Documentation

typedef vtkPolyDataSource vtkVectorText::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 63 of file vtkVectorText.h.

## Constructor & Destructor Documentation

vtkVectorText::vtkVectorText | ( |  | ) | `[protected]`

vtkVectorText::~vtkVectorText | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVectorText* vtkVectorText::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVectorText::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkVectorText::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkVectorText::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkVectorText* vtkVectorText::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkVectorText::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkVectorText::SetText | ( | const char * |  | ) | `[virtual]`

| Set/Get the text to be drawn.

virtual char* vtkVectorText::GetText | ( |  | ) | `[virtual]`

| Set/Get the text to be drawn.

void vtkVectorText::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

char* vtkVectorText::Text`[protected]`

| Definition at line 77 of file vtkVectorText.h.

char* vtkVectorText::Letters[127]`[protected]`

| Definition at line 78 of file vtkVectorText.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkVectorText.h